var fadeTime : float = 0.1;
private var OrigAlpha : float = 0;
private var rate : float = 0;
private var i : float = 0;
private var OrigHealth = 0;

// Ajusta la anchura y altura de nuestro GUI.
// Lo desactiva.
// Consigue las variables necesarias para que todo funcione.
function Start(){
	if(this.guiTexture.enabled == true)
		this.guiTexture.enabled = false;
	this.guiTexture.pixelInset.width = Screen.width;
	this.guiTexture.pixelInset.height = Screen.height;
	OrigAlpha = this.guiTexture.color.a;
	rate = 1.0/fadeTime;
	OrigHealth = GeneralVars.nSalud;
}


// Realiza el fade y desactiva el GUI cuando el alpha ya es cero (no se ve con alpha cero).
function Update(){
	if(this.guiTexture.enabled){
		if (i < 1.0){
			i += Time.deltaTime * rate;
			this.guiTexture.color.a = Mathf.Lerp(OrigAlpha, 0, i);
		}
		else{
			//this.guiTexture.color.a = 0;
			this.guiTexture.enabled = false;
		}
	}
	if(OrigHealth > GeneralVars.nSalud){
		OrigHealth = GeneralVars.nSalud;
		ShowGUIDamage();
	}
}

// Funcion que sera llamada por otros scripts que hagan danio a nuetro FPC.
function ShowGUIDamage(){
	OrigHealth = GeneralVars.nSalud;
	i = 0;
	this.guiTexture.color.a = OrigAlpha;
	this.guiTexture.enabled = true;
}